import 'package:flutter/material.dart';
import 'package:tanami_app/features/register/presentation/widgets/register_user_bottom_section.dart';

import '../../../../core/styles/app_color.dart';
import '../../../../shared/components/appbar_widget.dart';
import '../widgets/register_user_form.dart';
import '../widgets/register_user_top_section.dart';

class RegisterUserDetailsLayout extends StatelessWidget {
  const RegisterUserDetailsLayout({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: AppColor.plainWhite,
        appBar: const AppBarWidget(
          height: 75,
          titleTxt: "",
        ),
        body: ListView(
          children: const [
            RegisterUserTopSection(),
            RegisterUserForm(),
            RegisterUserBottomSection(),
          ],
        ));
  }
}
